[Overview][Constants][Types][Classes][Index] | Reference for unit 'Speech' (#crwlib)

# ISTTTSQueue

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: speech.pas line 4976

`type ISTTTSQueue = interface(IUnknown)`
`function WaveAddFromFile();`
`function WaveAddFromStream();`
`function WaveAddFromMemory();`
`function WaveAddFromResource();`
`function WaveAddFromList();`
`function WaveRemove();`
`function WaveAudioDestSet();`
`function WaveLevelSet();`
`function WaveLevelGet();`
`function TTSAdd();`
`function TTSRemove();`
`function TTSGet();`
`function Speak();`
`function TextData();`
`function AudioPause;`
`function AudioResume;`
`function AudioReset;`
`function Register();`
`function UseLogging();`
`function IsSpeaking();`
`end;`

## Inheritance

`ISTTTSQueue`
`IUnknown`
?